PHP Manual
Prev |  | Next

# SDO_Model_Type::getBaseType

(no version information, might be only in CVS)

SDO_Model_Type::getBaseType -- Get the base type for this type

## Description

SDO_Model_Type SDO_Model_Type::getBaseType ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Get the base type for this type. Returns the SDO_Model_Type for the base type if this type inherits from another, otherwise returns `NULL`. An example of when base types occur is when a type defined in XML schema inherits from another type by using <extension base="..."> .

## Parameters

None.

## Return Values

Returns the SDO_Model_Type for the base type if this type inherits from another, otherwise returns `NULL`.

Prev | Home | Next
SDO_Model_ReflectionDataObject::getType | Up | SDO_Model_Type::getName